Bug 165042 - creating ext3 on mirror can hang
creating ext3 on mirror can hang
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 15:57 EDT by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHEL4U4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-02 10:35:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-08-03 15:57:08 EDT
Description of problem:
I've seen this issue 4 times now while playing around with mirror volumes. When
I attempt to create a filesystem on top of one, it can hang. I really don't have
any other debugging info, I've never seen this when using strace. :(

[root@link-02 ~]# pvscan
  PV /dev/sdd1   VG LINK101112   lvm2 [135.66 GB / 0    free]
  PV /dev/sde1   VG LINK101112   lvm2 [135.66 GB / 320.00 MB free]
  PV /dev/hda6   VG VolGroup00   lvm2 [17.53 GB / 64.00 MB free]
  PV /dev/sda1   VG LINK010208   lvm2 [135.66 GB / 672.00 MB free]
  PV /dev/sdb1   VG LINK010208   lvm2 [135.66 GB / 672.00 MB free]
  PV /dev/sdc1   VG LINK010208   lvm2 [135.66 GB / 135.65 GB free]
  Total: 6 [695.81 GB] / in use: 6 [695.81 GB] / in no VG: 0 [0   ]
[root@link-02 ~]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "LINK101112" using metadata type lvm2
  Found volume group "VolGroup00" using metadata type lvm2
  Found volume group "LINK010208" using metadata type lvm2
[root@link-02 ~]# lvscan
  ACTIVE            '/dev/LINK101112/LINK101112' [271.00 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol00' [15.53 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol01' [1.94 GB] inherit
  ACTIVE            '/dev/LINK010208/coreymirror' [135.00 GB] inherit
  ACTIVE            '/dev/LINK010208/coreymirror_mlog' [4.00 MB] inherit
  ACTIVE            '/dev/LINK010208/coreymirror_mimage_0' [135.00 GB] inherit
  ACTIVE            '/dev/LINK010208/coreymirror_mimage_1' [135.00 GB] inherit


[root@link-02 ~]# mkfs.ext3  /dev/LINK010208/coreymirror
mke2fs 1.35 (28-Feb-2004)
max_blocks 4294967295, rsv_groups = 131072, rsv_gdb = 1015
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
17694720 inodes, 35389440 blocks
1769472 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=4294967296
1080 block groups
32768 blocks per group, 32768 fragments per group
16384 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208,
        4096000, 7962624, 11239424, 20480000, 23887872

Writing inode tables:  768/1080
[HANG]


Version-Release number of selected component (if applicable):
  LVM version:     2.01.13 (2005-07-13)
  Library version: 1.01.03 (2005-06-13)
  Driver version:  4.4.0
Comment 2 Jonathan Earl Brassow 2006-09-19 09:36:43 EDT
pretty sure this is fixed (for a while now, sorry)
Comment 3 Corey Marthaler 2006-11-02 18:31:09 EST
have not seen this issue in well over a year, marking verified.

Note You need to log in before you can comment on or make changes to this bug.